const isEmpty = value => value === undefined || value === null || value === '' || (typeof value === 'string' && value.trim() === '');

function required(value) {
  if (isEmpty(value)) {
    return 'Required';
  }
  return null;
}

function alphabet(value) {
  if (!/^[a-zA-Z\s]+$/.test(value)) {
    return 'Alphabet';
  }
  return null;
}

export function integer(value) {
  if (!Number.isInteger(Number(value))) {
    return 'Integer Only';
  }
  return null;
}

const validations = {
  required,
  integer,
  alphabet
};

export default validations;
